package cn.efunbox.model;


/**
 * 用户点击记录
 * @author yaobo
 *
 */
public class Click {

	private int id;			//唯一编号
    private int age;		//年龄:1-99
    private int sex;		//性别:1为男，2为女
    private String film_code;//电影编号
    private int film_type;	//电影类型 1、电影 2：剧集
    private int mark_type;	//角标类型 1：new
    private int is_vip;		//是否为vip 1：是
    private Float film_grade;//电影评分
    private Float film_star;//电影评星
    private int age_group;	//适用年龄段
    private int series_count;//集数，电影为1
    private int publish_date;//发行时间
    private int online_date;//上线时间
    private int area;		//地区
    private int movie_type;	//类型
    private int target_people;//适合人群
    private int language;	//语言
    private int duration;	//电影时长，分钟
    private int created;	//创建时间
    
    /*
     CREATE TABLE `efunbox_click` (
                  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '唯一编号',
                  `age` int(5) DEFAULT '5' COMMENT '年龄:1-99',
                  `sex` int(2) DEFAULT '1' COMMENT '性别:1为男，2为女',
                  `film_code` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '电影编号',
                  `times` int(10) DEFAULT '1' COMMENT '点击次数',
                  `score` int(10) DEFAULT '1' COMMENT '排序得分',
                  `status` int(5) DEFAULT '1' COMMENT '是否显示：1为显示，-1为隐藏',
                  `updated` int(10) DEFAULT '0' COMMENT '上次更新排序时间',
                  `created` int(10) DEFAULT '0' COMMENT '创建时间',
                  PRIMARY KEY (`id`),
                  KEY `age_sex` (`age`,`sex`),
                  KEY `score` (`score`)
                ) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='推荐节目统计结果'; 
     */

	/**
	 * @return the id
	 */
	public int getId() {
		return id;
	}

	/**
	 * @param id the id to set
	 */
	public void setId(int id) {
		this.id = id;
	}

	/**
	 * @return the age
	 */
	public int getAge() {
		return age;
	}

	/**
	 * @param age the age to set
	 */
	public void setAge(int age) {
		this.age = age;
	}

	/**
	 * @return the sex
	 */
	public int getSex() {
		return sex;
	}

	/**
	 * @param sex the sex to set
	 */
	public void setSex(int sex) {
		this.sex = sex;
	}

	/**
	 * @return the film_code
	 */
	public String getFilm_code() {
		return film_code;
	}

	/**
	 * @param film_code the film_code to set
	 */
	public void setFilm_code(String film_code) {
		this.film_code = film_code;
	}

	/**
	 * @return the film_type
	 */
	public int getFilm_type() {
		return film_type;
	}

	/**
	 * @param film_type the film_type to set
	 */
	public void setFilm_type(int film_type) {
		this.film_type = film_type;
	}

	/**
	 * @return the mark_type
	 */
	public int getMark_type() {
		return mark_type;
	}

	/**
	 * @param mark_type the mark_type to set
	 */
	public void setMark_type(int mark_type) {
		this.mark_type = mark_type;
	}

	/**
	 * @return the is_vip
	 */
	public int getIs_vip() {
		return is_vip;
	}

	/**
	 * @param is_vip the is_vip to set
	 */
	public void setIs_vip(int is_vip) {
		this.is_vip = is_vip;
	}

	/**
	 * @return the film_grade
	 */
	public Float getFilm_grade() {
		return film_grade;
	}

	/**
	 * @param film_grade the film_grade to set
	 */
	public void setFilm_grade(Float film_grade) {
		this.film_grade = film_grade;
	}

	/**
	 * @return the film_star
	 */
	public Float getFilm_star() {
		return film_star;
	}

	/**
	 * @param film_star the film_star to set
	 */
	public void setFilm_star(Float film_star) {
		this.film_star = film_star;
	}

	/**
	 * @return the age_group
	 */
	public int getAge_group() {
		return age_group;
	}

	/**
	 * @param age_group the age_group to set
	 */
	public void setAge_group(int age_group) {
		this.age_group = age_group;
	}

	/**
	 * @return the series_count
	 */
	public int getSeries_count() {
		return series_count;
	}

	/**
	 * @param series_count the series_count to set
	 */
	public void setSeries_count(int series_count) {
		this.series_count = series_count;
	}

	/**
	 * @return the publish_date
	 */
	public int getPublish_date() {
		return publish_date;
	}

	/**
	 * @param publish_date the publish_date to set
	 */
	public void setPublish_date(int publish_date) {
		this.publish_date = publish_date;
	}

	/**
	 * @return the online_date
	 */
	public int getonline_date() {
		return online_date;
	}

	/**
	 * @param online_date the online_date to set
	 */
	public void setonline_date(int online_date) {
		this.online_date = online_date;
	}

	/**
	 * @return the area
	 */
	public int getArea() {
		return area;
	}

	/**
	 * @param area the area to set
	 */
	public void setArea(int area) {
		this.area = area;
	}

	/**
	 * @return the movie_type
	 */
	public int getMovie_type() {
		return movie_type;
	}

	/**
	 * @param movie_type the movie_type to set
	 */
	public void setMovie_type(int movie_type) {
		this.movie_type = movie_type;
	}

	/**
	 * @return the target_people
	 */
	public int getTarget_people() {
		return target_people;
	}

	/**
	 * @param target_people the target_people to set
	 */
	public void setTarget_people(int target_people) {
		this.target_people = target_people;
	}

	/**
	 * @return the language
	 */
	public int getLanguage() {
		return language;
	}

	/**
	 * @param language the language to set
	 */
	public void setLanguage(int language) {
		this.language = language;
	}

	/**
	 * @return the duration
	 */
	public int getDuration() {
		return duration;
	}

	/**
	 * @param duration the duration to set
	 */
	public void setDuration(int duration) {
		this.duration = duration;
	}

	/**
	 * @return the created
	 */
	public int getCreated() {
		return created;
	}

	/**
	 * @param created the created to set
	 */
	public void setCreated(int created) {
		this.created = created;
	}

    @Override
    public String toString() {
        return "Person [id=" + id + ", film_code=" + film_code + "]";
    }
}