package cn.efunbox.service;

import java.util.List;

import cn.efunbox.model.Recommend;;

public interface IRecommendService {

    /**
     * 加载全部
     * @return
     */
    List<Recommend> loadAll();

    /**
     * 搜索特定年龄、性别的推荐节目
     * @return
     */
    List<Recommend> search(int age, int sex, int limit, int offset);
}