package cn.efunbox.model;

import java.sql.Date;

/**
 * 推荐结果
 * @author yaobo
 *
 */
public class Recommend {

	private int id;			//唯一编号
    private int age;		//年龄:1-99
    private int sex;		//性别:1为男，2为女
    private String film_code;//电影编号
    private int times;		//点击次数
    private int score;		//排序得分
    private int status;		//是否显示：1为显示，-1为隐藏
    private int updated;	//上次更新排序时间
    private int created;	//创建时间
    
    /*
     CREATE TABLE `efunbox_recmd` (
                  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '唯一编号',
                  `age` int(5) DEFAULT '5' COMMENT '年龄:1-99',
                  `sex` int(2) DEFAULT '1' COMMENT '性别:1为男，2为女',
                  `film_code` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '电影编号',
                  `times` int(10) DEFAULT '1' COMMENT '点击次数',
                  `score` int(10) DEFAULT '1' COMMENT '排序得分',
                  `status` int(5) DEFAULT '1' COMMENT '是否显示：1为显示，-1为隐藏',
                  `updated` int(10) DEFAULT '0' COMMENT '上次更新排序时间',
                  `created` int(10) DEFAULT '0' COMMENT '创建时间',
                  PRIMARY KEY (`id`),
                  KEY `age_sex` (`age`,`sex`),
                  KEY `score` (`score`)
                ) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='推荐节目统计结果'; 
     */
    
    /**
	 * @return the id
	 */
	public int getId() {
		return id;
	}


	/**
	 * @param id the id to set
	 */
	public void setId(int id) {
		this.id = id;
	}


	/**
	 * @return the age
	 */
	public int getAge() {
		return age;
	}


	/**
	 * @param age the age to set
	 */
	public void setAge(int age) {
		this.age = age;
	}


	/**
	 * @return the sex
	 */
	public int getSex() {
		return sex;
	}


	/**
	 * @param sex the sex to set
	 */
	public void setSex(int sex) {
		this.sex = sex;
	}


	/**
	 * @return the film_code
	 */
	public String getFilm_code() {
		return film_code;
	}


	/**
	 * @param film_code the film_code to set
	 */
	public void setFilm_code(String film_code) {
		this.film_code = film_code;
	}


	/**
	 * @return the times
	 */
	public int getTimes() {
		return times;
	}


	/**
	 * @param times the times to set
	 */
	public void setTimes(int times) {
		this.times = times;
	}


	/**
	 * @return the score
	 */
	public int getScore() {
		return score;
	}


	/**
	 * @param score the score to set
	 */
	public void setScore(int score) {
		this.score = score;
	}


	/**
	 * @return the status
	 */
	public int getStatus() {
		return status;
	}


	/**
	 * @param status the status to set
	 */
	public void setStatus(int status) {
		this.status = status;
	}


	/**
	 * @return the updated
	 */
	public int getUpdated() {
		return updated;
	}


	/**
	 * @param updated the updated to set
	 */
	public void setUpdated(int updated) {
		this.updated = updated;
	}


	/**
	 * @return the created
	 */
	public int getCreated() {
		return created;
	}


	/**
	 * @param created the created to set
	 */
	public void setCreated(int created) {
		this.created = created;
	}


    
    @Override
    public String toString() {
        return "Person [id=" + id + ", film_code=" + film_code + "]";
    }
}